libicu48 4.8.1.1-3ubuntu0.3 causes libreoffice 3 calc "format cells" crash

Bug #1429043 reported by Sam on 2015-03-06
12
This bug affects 2 people
Affects Status Importance Assigned to Milestone
icu (Ubuntu)
Undecided
Marc Deslauriers

Bug Description

Since upgrading libicu48 4.8.1.1-3ubuntu0.1 -> 4.8.1.1-3ubuntu0.3 (32 bit version) yesterday, LibreOffice 3 Calc (current on Precise) immediately crashes when you select a cell or cells and go to Menu Format/Cells.

The problem can be bypassed by reverting to libicu48 4.8.1.1-3 which is available in aptitude, though this back levels the system and exposes it to the security vulnerabilities fixed in the ubuntu0.3 release.

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in ubuntu:
status: New → Confirmed

Well spotted on the cause!
Same problem here - same workaround although used Synaptic to select previous version and then locked it.

Thank you for taking the time to report this bug and helping to make Ubuntu better. It seems that your bug report is not filed about a specific source package though, rather it is just filed against Ubuntu in general. It is important that bug reports be filed about source packages so that people interested in the package can find the bugs about it. You can find some hints about determining what package your bug might be about at https://wiki.ubuntu.com/Bugs/FindRightPackage. You might also ask for help in the #ubuntu-bugs irc channel on Freenode.

To change the source package that this bug is filed about visit https://bugs.launchpad.net/ubuntu/+bug/1429043/+editstatus and add the package name in the text box next to the word Package.

[This is an automated message. I apologize if it reached you inappropriately; please just reply to this message indicating so.]

tags: added: bot-comment

Added libicu48 in source package field.

affects: ubuntu → icu (Ubuntu)
tags: added: precise
tags: added: regression-update
Marc Deslauriers (mdeslaur) wrote :

I can reproduce this issue, and will investigate it.

Changed in icu (Ubuntu):
assignee: nobody → Marc Deslauriers (mdeslaur)

Thanks very much @Robert @Brian @Marc for your confirmation and help.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package icu - 4.8.1.1-3ubuntu0.4

---------------
icu (4.8.1.1-3ubuntu0.4) precise-security; urgency=medium

  * SECURITY REGRESSION: libreoffice calc crash (LP: #1429043)
    - back out layoutengine-security.patch and CVE-2014-65xx.patch patches
      pending investigation.
 -- Marc Deslauriers <email address hidden> Fri, 06 Mar 2015 11:36:47 -0500

Changed in icu (Ubuntu):
status: Confirmed → Fix Released
Marc Deslauriers (mdeslaur) wrote :

I have now published a new version with the security patches put back in and the regression fixed:

http://www.ubuntu.com/usn/usn-2522-3/

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers